dnl #--------------------------------------------------------------------------
dnl # $Sendmail: control.m4,v 8.14.4 2012-03-27 18:05:23 cowboy Exp $
dnl #
dnl # Copyright (c) 1998-2010 Richard Nelson.  All Rights Reserved.
dnl #
dnl # build/debian/control.m4.  Generated from control.m4.in by configure.
dnl #
dnl # Debian control.m4 for sendmail 8.14.4-2ubuntu2(527876)
dnl #
dnl # Note: the .in file supports 8.7.6 - 9.0.0, but the generated
dnl #	file is customized to the version noted above.
dnl #
dnl # Note: Exercise care in the feeding of this file, especially wrt quoting!
dnl #
dnl #--------------------------------------------------------------------------
changequote([[, ]])dnl
dnl #
dnl # The source package description
dnl # Always built
dnl #
[[Source: sendmail
Priority: extra
Section: user/network
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Standards-Version: 3.8.3
]]dnl # Sigh... build daemons ignore B-D-I, so replicate in B-D :(
[[Build-Depends-Indep: groff, bsdmainutils
Build-Depends: make (>> 3.79.1-14), m4, cdbs, quilt, patchutils, dh-buildinfo, debhelper (>= 5), groff, bsdmainutils , libdb4.2-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
Build-Conflicts: libbind-dev, bind-dev, fakeroot (<< 0.4.5)
Homepage: http://www.sendmail.org]]dnl
dnl #
dnl # The arch=any package: sendmail-bin
dnl # Always built
dnl #
[[

Package: sendmail-bin
Architecture: any
Section: mail
Replaces: mail-transport-agent
Provides: mail-transport-agent
Conflicts: mail-transport-agent
Depends: sendmail-base, sendmail-cf, procps, ${shlibs:Depends}, ${perl:Depends} 
Recommends: 
Suggests: sendmail-doc, , sasl2-bin, libsasl2-modules, openssl
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for Debian.
 It is suitable for handling sophisticated mail configurations,
 although this means that its configuration can also be complex.
 .
 Fortunately, simple thing can be done easily, and complex things
 are possible, even if not easily understood ;)  Sendmail is the *ONLY*
 MTA with a Turing complete language to control *ALL* aspects of delivery!
 .
 Sendmail provides Security and SPAM/UCE/UBE protection via several means.
 .
 Sendmail includes *no* Mail User Agents (MUA), you'll have to
 pick from the plethora of available MUAs (mutt, vm, etc.)
 .
 This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
 and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).
 .
Homepage: http://www.sendmail.org]]dnl
dnl #
dnl # The arch=any package: rmail
dnl # Always built
dnl #
[[

Package: rmail
Architecture: any
Section: mail
Conflicts: sendmail (<< 8.13.1-7), postfix, exim, exim-tls, exim4-daemon-custom, exim4-daemon-heavy, exim4-daemon-light, courier-mta, smail, zmailer, masqmail
Depends: sendmail-bin | mail-transport-agent, ${shlibs:Depends}
Description: MTA->UUCP remote mail handler
 Rmail handles mail received via uucp and passes it to the local
 sendmail (or workalike).
 .
 This version comes from the sendmail source package and the only
 change is the call to sendmail (from -obq to -obi).
 .
Homepage: http://www.sendmail.org]]dnl
dnl #
dnl # The arch=any package: sensible-mda (debian private)
dnl # Always built
dnl #
[[

Package: sensible-mda
Architecture: any
Section: mail
Depends: sendmail-bin | mail-transport-agent, procmail | maildrop | deliver, ${shlibs:Depends}
Description: Mail Delivery Agent wrapper
 Sensible-mda is a Debian addition in the sendmail package and has been
 split out in hopes that it might be useful for other MTA packages.
 .
 Sensible-mda is called by the MTA, and will in turn call whichever of
 the following MDAs that it finds (in this order):
 procmail, maildrop, deliver, mail.local]]dnl
dnl #
dnl # The arch=any package: libmilter
dnl # Only built if MILTER is enabled
dnl #
ifelse([[yes]], [[yes]], [[[[

Package: libmilter0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Sendmail Mail Filter API (Milter)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information(headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This package contains libmilter.so
 .
Homepage: http://www.sendmail.org

Package: libmilter0-dbg
Architecture: any
Section: libs
Depends: libmilter0 (= ${binary:Version}), ${shlibs:Depends}
Description: Sendmail Mail Filter API (Milter)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information(headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This package contains debugging information for libmilter.so
 .
Homepage: http://www.sendmail.org]]dnl
dnl #
dnl # The arch=any package: libmilter-dev
dnl # Only built if MILTER is enabled
dnl #
[[

Package: libmilter-dev
Architecture: any
Section: libdevel
Depends: libmilter0 (= ${binary:Version})
Suggests: sendmail-doc
Description: Sendmail Mail Filter API (Milter)
 The Sendmail Mail Filter API (Milter) is designed to allow third-party
 programs access to mail messages as they are being processed in order
 to filter meta-information (headers) and content.
 .
 The Debian Sendmail package is built to support libmilter.
 .
 This is the libmilter static library and include files for development.
 .
 The documentation on building a Milter is in the sendmail-doc package.
 .
Homepage: http://www.sendmail.org]]]])dnl
dnl #
dnl # The arch=all package: sendmail-doc
dnl # Always built
dnl #
[[

Package: sendmail-doc
Architecture: all
Section: doc
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 Don't try anything fancy in sendmail without using this for guidance.
 .
 Because of the complexity, you may find yourself wanting to peruse
 the documentation files included herein.  The main files are:
   cf.README.gz    -- A reference for all things in sendmail.{mc,cf}
   op.{ps,txt}.gz  -- The care and feeding of Sendmail.
   faq.txt.gz      -- Sendmail FAQ, current as of the package date.
 .
 Other files include the references for smrsh and libmilter.
 .
Homepage: http://www.sendmail.org]]dnl
dnl #
dnl # The arch=all package: sendmail
dnl # Always built
dnl #
[[

Package: sendmail
Architecture: all
Section: user/network
Replaces: sendmail-tls
Depends: sendmail-base, sendmail-bin, sendmail-cf, sensible-mda
Suggests: sendmail-doc, rmail
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for Debian.
 It is suitable for handling sophisticated mail configurations,
 although this means that its configuration can also be complex.
 .
 Fortunately, simple thing can be done easily, and complex things
 are possible, even if not easily understood ;)  Sendmail is the *ONLY*
 MTA with a Turing complete language to control *ALL* aspects of delivery!
 .
 Sendmail provides Security and SPAM/UCE/UBE protection via several means.
 .
 Sendmail includes *no* Mail User Agents (MUA), you'll have to
 pick from the plethora of available MUAs (mutt, vm, etc.)
 .
 This package supports REGEX, DB, NIS, NIS+, LDAP, DNS maps,
 and has enabled TCPWrappers, IPv6, LockFile, SMTP AUTH(SASL), STARTTLS(SSL).
 .
 This package is to make installation/upgrading easier (Do NOT delete it)
 .
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
Homepage: http://www.sendmail.org]]dnl
dnl #
dnl # The arch=all package: sendmail-base
dnl # Always built
dnl #
[[

Package: sendmail-base
Architecture: all
Section: mail
Depends: m4, make, adduser, ${perl:Depends}
Suggests: sendmail-doc, ca-certificates, logcheck, logrotate, resolvconf
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 This package contains the base, architecture independent, portions
 of the sendmail packages.
 .
Homepage: http://www.sendmail.org]]dnl
dnl #
dnl # The arch=all package: sendmail-cf
dnl # Always built
dnl #
[[

Package: sendmail-cf
Architecture: all
Section: mail
Suggests: sendmail-doc
Depends: m4
Description: powerful, efficient, and scalable Mail Transport Agent
 Sendmail is an alternative Mail Transport Agent (MTA) for
 Debian. It is suitable for handling sophisticated mail
 configurations, although this means that its configuration
 can also be complex.
 .
 This package contains the .m4 (configuration files) for the
 sendmail packages.
 .
Homepage: http://www.sendmail.org]]dnl
dnl #
dnl # Provide the requisite trailing newline
dnl #


